Loading...
Searching...
No Matches
pcl::gpu::PPFRGBEstimation Class Reference

** More...

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/features/include/pcl/gpu/features/features.hpp>`

Inheritance diagram for pcl::gpu::PPFRGBEstimation:

## Public Types

using | PointType = PointXYZ
Public Types inherited from pcl::gpu::Feature
using | PointType = PointXYZ
using | NormalType = PointXYZ
using | PointCloud = DeviceArray<PointType>
using | Normals = DeviceArray<NormalType>
using | Indices = DeviceArray<int>

## Public Member Functions

void | compute (DeviceArray< PPFRGBSignature > &features)
Public Member Functions inherited from pcl::gpu::FeatureFromNormals
void | setInputNormals (const Normals &normals)
Public Member Functions inherited from pcl::gpu::Feature
| Feature ()
void | setInputCloud (const PointCloud &cloud)
void | setSearchSurface (const PointCloud &surface)
void | setIndices (const Indices &indices)
void | setRadiusSearch (float radius, int max_results)

## Additional Inherited Members

Protected Attributes inherited from pcl::gpu::FeatureFromNormals
Normals | normals_
Protected Attributes inherited from pcl::gpu::Feature
PointCloud | cloud_
PointCloud | surface_
Indices | indices_
float | radius_
int | max_results_
Octree | octree_

## Detailed Description

**

Class for PPFRGB estimation. *‍/

Definition at line 170 of file features.hpp.

## Member Typedef Documentation

## PointType

using pcl::gpu::PPFRGBEstimation::PointType = PointXYZ

Definition at line 174 of file features.hpp.

## Member Function Documentation

## compute()

void pcl::gpu::PPFRGBEstimation::compute | ( | DeviceArray< PPFRGBSignature > & | features | ) |

The documentation for this class was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/features/include/pcl/gpu/features/features.hpp